import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:map_launcher/map_launcher.dart';
import 'package:nui_core/nui_core.dart';
import '../nui_geolocator.dart';

class NUIMapSelectionBottomSheet extends StatelessWidget {
  NUIMapSelectionBottomSheet({@required this.maps, @required this.latLng, @required this.title, @required this.onMapClick});
  final List<AvailableMap> maps;
  final NUILatLng latLng;
  final String title;
  final Function(AvailableMap) onMapClick;
  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: SingleChildScrollView(
        child: Container(
          child: Wrap(
            children: <Widget>[
              for (var map in maps)
                ListTile(
                  onTap: (){
                    if(onMapClick != null) onMapClick(map);
                  },
                  title: Text(map.mapName, style: getFont(context, size: 14, singleColor: Colors.black),),
                  leading: SvgPicture.asset(
                    map.icon,
                    height: 30.0,
                    width: 30.0,
                  ),
                ),
            ],
          ),
        ),
      ),
    );
  }
}
